package com.wd.workoffice.contract;

import com.wd.workoffice.app.BaseBean;
import com.wd.workoffice.bean.DepBean;
import com.wd.workoffice.bean.ProcessBean;
import com.wd.workoffice.bean.ProductBean;
import com.wd.workoffice.bean.StockBean;

import java.util.List;
import java.util.Map;

import flexible.xd.android_base.mvpBase.IBaseModel;
import flexible.xd.android_base.mvpBase.IBasePresenter;
import flexible.xd.android_base.mvpBase.IBaseView;
import io.reactivex.Observable;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public interface WorkProContract {
    interface Model extends IBaseModel {
        Observable<BaseBean> getPro(Map<String, Object> param);

        Observable<BaseBean> modify(Integer id, String internalPrice, String remark);

        Observable<BaseBean> onSale(Integer id, String shelfAction);
    }

    interface View extends IBaseView {
        void getPro(List<ProductBean.RecordsBean> dataList);

        void modify(String msg);

        void onSale(String msg);
    }

    interface Presenter extends IBasePresenter<View> {
        void getPro(Map<String, Object> param);

        void modify(Integer id, String internalPrice, String remark);

        void onSale(Integer id, String shelfAction);
    }
}
